package cn.com.poc.ai_software_copyright.entity;	


public class BizSoftwareCopyrightEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** base_info
    *基本信息
    */ 
    private java.lang.String baseInfo;

    public java.lang.String getBaseInfo(){
        return this.baseInfo;
    }
    
    public void setBaseInfo(java.lang.String baseInfo){
        this.baseInfo = baseInfo;
    }
	/** technical_content
    *技术内容
    */ 
    private java.lang.String technicalContent;

    public java.lang.String getTechnicalContent(){
        return this.technicalContent;
    }
    
    public void setTechnicalContent(java.lang.String technicalContent){
        this.technicalContent = technicalContent;
    }
	/** reference_document_file_url
    *参考文件地址 最大5份
    */ 
    private java.lang.String referenceDocumentFileUrl;

    public java.lang.String getReferenceDocumentFileUrl(){
        return this.referenceDocumentFileUrl;
    }
    
    public void setReferenceDocumentFileUrl(java.lang.String referenceDocumentFileUrl){
        this.referenceDocumentFileUrl = referenceDocumentFileUrl;
    }
	/** generated_doc_type
    *生成文档类型
    */ 
    private java.lang.String generatedDocType;

    public java.lang.String getGeneratedDocType(){
        return this.generatedDocType;
    }
    
    public void setGeneratedDocType(java.lang.String generatedDocType){
        this.generatedDocType = generatedDocType;
    }
	/** generated_status
    *任务状态    Daft - 草稿     Pending  -  排队   Running - 执行中
Complete - 完成   Error - 错误
    */ 
    private java.lang.String generatedStatus;

    public java.lang.String getGeneratedStatus(){
        return this.generatedStatus;
    }
    
    public void setGeneratedStatus(java.lang.String generatedStatus){
        this.generatedStatus = generatedStatus;
    }
	/** error_mess
    *任务失败信息
    */ 
    private java.lang.String errorMess;

    public java.lang.String getErrorMess(){
        return this.errorMess;
    }
    
    public void setErrorMess(java.lang.String errorMess){
        this.errorMess = errorMess;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}